const defaultTheme = require('tailwindcss/defaultTheme');

/** @type {import('tailwindcss').Config} */
module.exports = {
	content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
	darkMode: 'class',
	theme: {
		extend: {
			fontFamily: {
				'sans': ['Open Sans', defaultTheme.fontFamily.sans],
			},
			keyframes: {
				wiggle: {
				  '0%, 100%': { transform: 'rotate(-5deg)' },
				  '50%': { transform: 'rotate(5deg)' },
				},
				text: {
					'0%, 100%': {
					  'background-size': '200% 200%',
					  'background-position': 'left center',
					},
					'50%': {
					  'background-size': '200% 200%',
					  'background-position': 'right center',
					},
				},
			},
			animation: {
				'wiggle-infinite': 'wiggle 1s ease-in-out infinite',
				wiggle: 'wiggle 1s ease-in-out',
				'text': 'text 15s ease infinite'
			}
		},
	},
	plugins: [
		require("daisyui"),
		require('@tailwindcss/typography')
	],
}
